Skip to main content
`Ctrl`+`K`

# imageio.plugins.opencv.OpenCVPlugin.iter

OpenCVPlugin.iter(colorspace: int | str = None, flags: int = cv2.IMREAD_COLOR) → ndarray

  Yield images from the ImageResource.

  Parameters:
    colorspace str, int

      The colorspace to convert into after loading and before returning the image. If None (default) keep grayscale images as is, convert images with an alpha channel to `RGBA` and all other images to `RGB`. If int, interpret `colorspace` as one of OpenCVs conversion flags and use it for conversion. If str, convert the image into the given colorspace. Possible string values are: `"RGB"`, `"BGR"`, `"RGBA"`, `"BGRA"`, `"GRAY"`, `"HSV"`, or `"LAB"`.

    flags int

      The OpenCV flag(s) to pass to the reader. Refer to the OpenCV docs for details.

  Yields:
    ndimage np.ndarray

      The decoded image as a numpy array.